Library Version 18.1.40

abort_txn
Prev | Chapter 1. Dbstl Global Public Functions | Next

## abort_txn

### Function Details

     void abort_txn(DbEnv *env)

Abort current transaction of environment "env".

This function is called by dbstl user to abort an outside explicit transaction.

#### Parameters

##### env

The environment whose current transaction is to be aborted.

#### See Also

abort_txn(DbEnv *, DbTxn *) ;

     void abort_txn(DbEnv *env,
        DbTxn *txn)

Abort specified transaction "txn" and all its child transactions.

That is, "txn" can be a parent transaction of a nested transaction group.

#### Parameters

##### txn

The transaction to abort, can be a parent transaction of a nested transaction group, all child transactions of it will be aborted.

##### env

The environment where txn is started from.

#### See Also

abort_txn(DbEnv *) ;

### Group: Transaction control global functions.

dbstl transaction API.

You should call these API rather than DB C/C++ API to use Berkeley DB transaction features.

### Class

dbstl_global_functions

Prev | Up | Next
commit_txn | Home | current_txn